SkillhabitDocs

User Certificates

Retrieve certificates issued to one or more users.

GET
/users/certificates

Returns certificates for the selected users. Use flatView=true to request the downstream flat response shape; omit it for the grouped-by-user response.

AuthorizationBearer <token>

A JSON Web Token

In: header

Query Parameters

userIds[]?array<string>

User ids whose certificates should be returned.

flatView?boolean

When true, returns the downstream flat certificate view instead of the grouped user view.

Response Body

application/json

curl -X GET "https://example.com/users/certificates?userIds%5B%5D=7f9c2a1e-4b8d-4f6a-9c2e-1d3b5a7e9c01&flatView=false"
{  "usersWithCertificates": {    "property1": {      "contentId": "d69c7cd1-9943-4f7f-b95f-0572b3458e9c",      "contentType": "COURSE",      "contentName": "string",      "certificateId": "e2d2a9c7-5349-4ca7-a1dc-7c1b2a3e4f50",      "issued": 1700000000000,      "pdfUri": "string",      "status": "ACTIVE",      "recertificationContentId": "string",      "expiresAt": 1731536000000,      "certificateAttachment": "string",      "certificateAttachments": [        {          "url": "string",          "name": "string",          "createdAt": 1700000000000        }      ],      "recertificationCertificate": {        "contentId": "d69c7cd1-9943-4f7f-b95f-0572b3458e9c",        "contentType": "COURSE",        "contentName": "string",        "certificateId": "e2d2a9c7-5349-4ca7-a1dc-7c1b2a3e4f50",        "issued": 0,        "pdfUri": "string",        "status": "ACTIVE",        "recertificationContentId": "string",        "expiresAt": 0,        "certificateAttachment": "string",        "certificateAttachments": [          {            "url": "string",            "name": "string",            "createdAt": 1700000000000          }        ],        "expiredNotificationEnabled": true      },      "expiredNotificationEnabled": true    },    "property2": {      "contentId": "d69c7cd1-9943-4f7f-b95f-0572b3458e9c",      "contentType": "COURSE",      "contentName": "string",      "certificateId": "e2d2a9c7-5349-4ca7-a1dc-7c1b2a3e4f50",      "issued": 1700000000000,      "pdfUri": "string",      "status": "ACTIVE",      "recertificationContentId": "string",      "expiresAt": 1731536000000,      "certificateAttachment": "string",      "certificateAttachments": [        {          "url": "string",          "name": "string",          "createdAt": 1700000000000        }      ],      "recertificationCertificate": {        "contentId": "d69c7cd1-9943-4f7f-b95f-0572b3458e9c",        "contentType": "COURSE",        "contentName": "string",        "certificateId": "e2d2a9c7-5349-4ca7-a1dc-7c1b2a3e4f50",        "issued": 0,        "pdfUri": "string",        "status": "ACTIVE",        "recertificationContentId": "string",        "expiresAt": 0,        "certificateAttachment": "string",        "certificateAttachments": [          {            "url": "string",            "name": "string",            "createdAt": 1700000000000          }        ],        "expiredNotificationEnabled": true      },      "expiredNotificationEnabled": true    }  }}
GET
/users/{userId}/certificates

Returns certificates issued to one user.

AuthorizationBearer <token>

A JSON Web Token

In: header

Path Parameters

userId*string

User id whose certificates should be returned.

Response Body

application/json

curl -X GET "https://example.com/users/7f9c2a1e-4b8d-4f6a-9c2e-1d3b5a7e9c01/certificates"
{  "userId": "7f9c2a1e-4b8d-4f6a-9c2e-1d3b5a7e9c01",  "certificates": [    {      "contentId": "d69c7cd1-9943-4f7f-b95f-0572b3458e9c",      "contentType": "COURSE",      "contentName": "string",      "certificateId": "e2d2a9c7-5349-4ca7-a1dc-7c1b2a3e4f50",      "issued": 1700000000000,      "pdfUri": "string",      "status": "ACTIVE",      "recertificationContentId": "string",      "expiresAt": 1731536000000,      "certificateAttachment": "string",      "certificateAttachments": [        {          "url": "string",          "name": "string",          "createdAt": 1700000000000        }      ],      "recertificationCertificate": {        "contentId": "d69c7cd1-9943-4f7f-b95f-0572b3458e9c",        "contentType": "COURSE",        "contentName": "string",        "certificateId": "e2d2a9c7-5349-4ca7-a1dc-7c1b2a3e4f50",        "issued": 0,        "pdfUri": "string",        "status": "ACTIVE",        "recertificationContentId": "string",        "expiresAt": 0,        "certificateAttachment": "string",        "certificateAttachments": [          {            "url": "string",            "name": "string",            "createdAt": 1700000000000          }        ],        "expiredNotificationEnabled": true      },      "expiredNotificationEnabled": true    }  ]}